## org.eclipse.jet.compiler
Class JET2Expression

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.JavaElement
              org.eclipse.jet.compiler.JET2Expression

    public final class JET2Expression

extends JavaElement

Define a Java Expression Element in the JET2 AST

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Visit the AST and its contained elements.
`boolean` `removeLineWhenOtherwiseEmpty()` Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.

Methods inherited from class org.eclipse.jet.compiler.JavaElement
`getJavaContent, getJavaEnd, getJavaStart`

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept

    public void accept(JET2ASTVisitor visitor)

  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

### removeLineWhenOtherwiseEmpty

    public boolean removeLineWhenOtherwiseEmpty()

  Description copied from class: `JET2ASTElement`
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Specified by:
    `removeLineWhenOtherwiseEmpty` in class `JET2ASTElement`
  Returns:
    `true` if the containing line should be removed if otherwise empty.

Copyright 2006 IBM Corporation and others. All Rights Reserved.